%global pypi_name ironic-lib
%global _description \
A common library to be used exclusively by projects under the Ironic governance.

Summary:        Ironic common library
Name:           python-%{pypi_name}
Version:        4.6.1
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/ironic-lib/
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-webob python3-bcrypt python3-requests python3-tenacity python3-zeroconf
BuildRequires:  python3-oslo-concurrency python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-utils
Requires:       python3-pbr python3-webob python3-bcrypt python3-requests python3-tenacity python3-zeroconf
Requires:       python3-oslo-concurrency python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-utils

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*
%{_prefix}/%{_sysconfdir}/ironic/rootwrap.d/ironic-lib.filters

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 kianli <kianli@tencent.com> - 4.6.1-1
- initial build
